function load_webring() {
    const webring_url = "https://aidang.cc/webring/https://jjanzen.ca";

    const webring_container = document.getElementById("cssa-webring-container");

    fetch(webring_url)
        .then((response) => response.json())
        .then((obj) => {
            const webring_html = `
<section class='cssa-webring-description'>
  "Official" CSSA Webring
</section>
<ul class='cssa-webring-site-links'>
  <li class='cssa-webring-prev-site'><a href='${obj.left.url}'>${obj.left.name}</a></li>
  <li class='cssa-webring-curr-site'><a href='https://jjanzen.ca'>jjanzen</a></li>
  <li class='cssa-webring-next-site'><a href='${obj.right.url}'>${obj.right.name}</a></li>
</ul>`;
            webring_container.innerHTML = webring_html;
        });
}
document.addEventListener("DOMContentLoaded", load_webring, false);
